@import "../../../assets/styles/main.scss";

.planDetailsModuleContainer {
  .backToPlaneButton {
    button {
      @include transition-3s;
      padding: 9px 14px;
      font-size: 12px;
      line-height: 14.52px;
      cursor: pointer;
      border: none;
      text-align: center;
      border-radius: 5px;
      display: flex;
      flex-direction: row;
      gap: 6px;
      align-items: center;
      justify-content: center;
      border: 1px solid #000000;
      background: getColorHex("white");
      color: getColorHex("black");

      @include md {
        padding: 7px 12px;
        font-size: 10px;
        line-height: 12.52px;
      }

      &:hover {
        //   background-color: getColorHex("orange");
        //   border: 1px solid getColorHex("orange");

        //   color: getColorHex("white");
      }
      span {
        padding-top: 1px;
      }
    }
  }

  .detailsSectionContainer {
    display: grid;
    grid-template-columns: 1fr 254px;
    gap: 24px;

    @include md {
      grid-template-columns: 1fr 200px;
    }

    .detailsSectionLeft {
      display: flex;
      gap: 10px;
      flex-flow: column;

      .OrderInformationMain {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 10px;
        padding-top: 36px;

        @include md {
          padding-top: 24px;
        }

        .countryInfoMain {
          display: grid;
          gap: 24px;
          .countryInfoCard {
            padding: 15px;
            border-radius: 10px;
            background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
            display: flex;
            flex-flow: column;
            align-items: center;

            @include lg {
              padding: 10px;
            }

            @include md {
              padding: 8px;
            }

            .planImage {
              padding: 5px;
              border-radius: 5px;
              background: getColorHex("white");
              width: 40px;
              height: 40px;
              margin-bottom: 13.5px;
              display: flex;
              @include lg {
                width: 30px;
                height: 30px;
              }
              img {
                width: 100%;
                height: 100%;
                object-fit: contain;
              }
            }
            p {
              font-size: 10px;
              line-height: 12.1px;
              padding-bottom: 4px;

              @include lg {
                font-size: 8px;
                line-height: 10px;
                padding-bottom: 3px;
              }

              @include md {
                font-size: 7px;
                line-height: 9px;
                padding-bottom: 2px;
              }
            }
            h2 {
              font-size: 14px;
              line-height: 16.94px;
              padding-bottom: 8.5px;
              @include inter700;
              color: #000;
              display: flex;
              justify-content: center;
              align-items: Right;
              text-align: center;
              @include lg {
                font-size: 12px;
                line-height: 14.8px;
              }

              @include md {
                font-size: 10px;
                line-height: 12.8px;
              }
            }
          }
        }
      }
      .purchaseNewEsim {
        border-radius: 10px;
        border: 1px solid getColorHex("white");
        background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
        padding: 20px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: relative;

        h1 {
          font-size: 20px;
          color: getColorHex("black");
        }
        .gotItNowButton {
          padding-top: 10px;
          button {
            min-width: 101px;
            border-width: 1px;
            font-size: 14px;
            padding: 7px 15px;
            border-radius: 10px;
            background-color: getColorHex("white");
            &:hover {
              background-color: getColorHex("orange");
            }
          }
        }
        .purchaseNewEsimImageMain {
          display: flex;
          align-items: center;
          gap: 28px;
          z-index: 9;
          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
          .purchaseNewEsimImage_regions {
            width: 34px;
            height: 37px;
            &:hover {
              cursor: pointer;
            }
          }
          .purchaseNewEsimImage {
            width: 87px;
            height: 71px;
            position: relative;
          }
        }
        .ImageVectore {
          position: absolute;
          right: -23px;
          width: 144px;
          height: 166px;
          top: 2px;
        }
      }
      .additionalInfoMain {
        border-radius: 10px;
        background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
        padding: 20px;

        @include md {
          padding: 18px;
        }
        h1 {
          font-size: 14px;
          color: getColorHex("black");
          line-height: 16.94px;
          @include inter700;
        }
        .reviewYourOrderBlockMain {
          margin-top: 20px;
          display: flex;
          flex-flow: column;
          gap: 10px;

          .reviewOrderBlock {
            border-radius: 10px;
            border: 1px solid #ededed;
            background: getColorHex("white");
            padding: 9px;
            display: flex;
            justify-content: space-between;
            align-items: center;
          }
          .blockLeftData {
            display: flex;
            gap: 7px;
            align-items: center;
            .dataImage {
              min-width: 40px;
              height: 40px;
              border-radius: 5px;
              background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
              display: flex;
              justify-content: center;
              align-items: center;

              @include lg {
                min-width: 35px;
                height: 35px;
              }
            }
            .dataDescription {
              padding: 4.5px 0;
              display: flex;
              flex-direction: column;
              justify-content: space-between;

              p {
                font-size: 10px;
                line-height: 12.1px;

                @include lg {
                  font-size: 8px;
                  line-height: 10px;
                }
              }
              h3 {
                font-size: 12px;
                line-height: 14.52px;

                @include lg {
                  font-size: 10px;
                  line-height: 12px;
                }
              }
            }
          }
          .checkListButton {
            button {
              border-radius: 5px;
              min-width: 63px;
              padding: 5px;
              font-size: 8px;
              text-transform: capitalize;
              line-height: 9.68px;
            }
          }
        }
      }
    }

    .detailsSectionRight {
      padding: 36px 0 0 0;
      display: flex;
      gap: 10px;
      flex-direction: column;
      color: #686868;
      @include md {
        padding: 24px 0 0 0;
      }

      .dataUsage {
        background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
        padding: 15px;
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        gap: 10px;

        .esimStatusButton {
          padding: 11.5px;
          @include vertical_align_center;
          flex-direction: row;
          gap: 5px;
          border-radius: 8px;

          svg,
          img {
            height: 15px;
            width: 15px;
          }

          p {
            font-size: 12px;
            line-height: 14.52px;
            text-align: center;
            color: #ffffff;
          }

          &.redColorButton {
            border: 1px solid #ff0000;
            background: #ff0000;
            p {
              color: #ffffff;
            }
          }

          &.greenColorButton {
            border: 1px solid #058e6e;
            background: #058e6e;
          }

          &.lightRedColorButton {
            border: 1px solid #e63725;
            background: #ffe7e5;
            p {
              color: #000000;
            }
          }

          &.blueColorButton {
            border: 1px solid #1883ff;
            background: #1883ff;
          }

          &.yellowColorButton {
            border: 1px solid #ffdf00;
            background: #ffdf00;
            p {
              color: #000000;
            }
          }

          &.greyColorButton {
            border: 1px solid #979797;
            background: #979797;
          }

          &.whiteColorButton {
            border: 1px solid #e2e2e2;
            background: #ffffff;
            p {
              color: #000000;
            }
          }
        }

        .dataUsageTop {
          border-radius: 6px;
          background-color: getColorHex("white");
          padding: 10px 13px;
          display: grid;
          grid-template-columns: 73px auto;
          gap: 26px;

          @include md {
            padding: 8px 11px;
            gap: 18px;
          }

          .progressBar {
            width: 73px;
            height: 100%;
          }

          .usedRemainingButton {
            display: flex;
            gap: 5px;
            flex-direction: column;
            width: 100%;
            justify-content: space-between;

            .usedSection {
              width: 100%;
              background: getColorHex("red", 0.26);
              border: 1px solid getColorHex("red");
              @include vertical_align_center;
              border-radius: 9px;
              padding: 4.5px;
              width: 100%;

              &.greenBox {
                background: getColorHex("green", 0.26);
                border: 1px solid getColorHex("green");
              }

              b {
                font-size: 12px;
                line-height: 12.84px;
                text-align: left;
              }

              p {
                max-width: 36px;
                color: getColorHex("black");
                @include inter700;
                font-size: 10px;
                line-height: 12.1px;
                text-align: center;
                display: flex;
                flex-direction: column;

                @include md {
                  font-size: 8px;
                  line-height: 10.1px;
                }

                span {
                  @include inter500;
                  font-size: 7px;
                  line-height: 8.47px;
                  text-align: center;

                  @include md {
                    font-size: 6px;
                    line-height: 7.47px;
                  }
                }
              }
            }
          }
        }

        .dataUsageBottom {
          background: getColorHex("white");
          border-radius: 6px;
          padding: 10px;
          color: getColorHex("black");
          display: flex;
          flex-direction: column;
          gap: 7px;

          .dataUsageNw {
            display: flex;
            flex-direction: column;
            gap: 11px;

            @include md {
              gap: 9px;
            }

            h4 {
              @include inter400;
              font-size: 10px;
              line-height: 18.1px;
              text-align: left;
              display: flex;
              flex-direction: row;
              align-items: center;
              gap: 3px;
              color: #686868;

              @include md {
                font-size: 8px;
                line-height: 10.1px;
              }
            }

            p {
              @include inter400;
              font-size: 7px;
              line-height: 7.49px;
              text-align: left;
              color: getColorHex("black");

              @include md {
                font-size: 6px;
                line-height: 6.49px;
              }

              span {
                @include inter700;
                font-size: 15px;
                line-height: 16.05px;
                text-align: left;

                @include md {
                  font-size: 13px;
                  line-height: 13.05px;
                }
              }
            }
          }
        }
      }

      .eSIMDetails {
        width: 100%;
        background: #1e293b;
        border: 1px solid #ffffff;
        border-radius: 8px;
        padding: 6.5px 10px;
        display: flex;
        flex-direction: row;
        gap: 10px;
        align-items: center;
        cursor: pointer;

        svg {
          height: 25px;
          width: 25px;

          @include md {
            height: 22px;
            width: 22px;
          }
        }

        p {
          font-size: 12px;
          color: getColorHex("white");
          line-height: 14.52px;
          text-align: center;
          @include md {
            font-size: 10px;
            line-height: 12.52px;
          }
        }
      }

      .archivePlan {
        width: 100%;
        background: #f6f6f6;
        border: 1px solid #eeeeee;
        border-radius: 8px;
        padding: 11.5px;
        display: flex;
        flex-direction: row;
        gap: 10px;
        align-items: center;
        cursor: pointer;

        span {
          color: #686868;
          @include inter400;
          font-size: 10px;
          line-height: 12.1px;

          @include md {
            font-size: 8px;
            line-height: 10.52px;
          }
        }

        p {
          display: flex;
          flex-direction: column;
          justify-content: flex-start;
          font-size: 12px;
          line-height: 14.52px;
          text-align: left;
          color: getColorHex("black");

          @include md {
            font-size: 10px;
            line-height: 12.1px;
          }
        }
      }
    }
  }
}

// regions detail list
.regionListSection {
  display: flex;
  flex-flow: column;
  gap: 40px;
  height: 100%;
  @include lg {
    gap: 24px;
  }

  .regionsHeading {
    padding: 40px;
    padding-bottom: 0px;
    @include lg {
      padding: 30px;
      padding-bottom: 0px;
    }
    h1 {
      font-size: 24px;
      line-height: 32px;
      text-transform: capitalize;
      margin-bottom: 10px;
      font-weight: 700;
      color: getColorHex("black");
      @include lg {
        font-size: 22px;
      }
    }
    span {
      color: getColorHex("orange");
      font-size: 16px;
      line-height: 32px;
      text-transform: capitalize;
    }
  }
  .borderdiv {
    background: #d5d8dd;
    height: 1px;
    width: 100%;
  }
  .regionsDetailList {
    display: flex;
    flex-flow: column;
    gap: 10px;
    overflow-y: auto;
    padding: 0px 40px 30px;
    @include lg {
      padding: 0px 30px 30px;
    }
    &::-webkit-scrollbar {
      width: 5px;
    }

    /* Track */
    &::-webkit-scrollbar-track {
      background: #f1f1f1;
    }

    /* Handle */
    &::-webkit-scrollbar-thumb {
      background: #c7c5c5;
    }

    /* Handle on hover */
    &::-webkit-scrollbar-thumb:hover {
      background: #a5a3a3;
    }
    p {
      font-size: 14px;
      font-weight: 400;
      color: getColorHex("black");
      line-height: normal;
    }
  }
}
